<?php

	include("../M0/session_start.php") ;

	//---------------------------------------------------------------------------------------------
	// utilisateurs autorisés
	//---------------------------------------------------------------------------------------------
	if ( $_SESSION['level'] != 127 ) {
		header('Location: ' . $root_dir . '/M1/index_2.php');
		exit();
	}

	//-----------------------------------------------------------------------------------------------------------------
	// création d'un mot de passe
	//-----------------------------------------------------------------------------------------------------------------
	$taille = 16 ;

	// Liste des caractères possibles
	$cars="abcdefghijklmnpqrstuvwxyzABCDEFGHIJKLMNPQRSTUVWXYZ123456789";
	$mdp='';
	$long=strlen($cars);

	srand((double)microtime()*1000000); //Initialise le générateur de nombres aléatoires

	for($i=0;$i<$taille;$i++) $mdp = $mdp.substr($cars,rand(0,$long-1),1);

	// résultat : $mdp
	
	include("../M0/communs_en_tete_HTML_no_arrows.html") ;
	$back_link = "../M6_b/gestion_admins.php";
	include('../M0/communs_en_tete_home_back.html');

	$return_path = "../M6_b/modify_admin_password_target.php" ;
	include('../M0/display_admin_admin_target.php'); 


?>

<form name="form2" id="form2" method="post" action="">

<table align="center" width="<?php echo $tables_width ; ?>"  border="2" cellspacing="2" cellpadding="2" bordercolor="#ffffff" bgcolor="#000033">	
	<tr>
		<td>
		
			<table width="100%" >
				<tr>
					<td align="center">
					
						<div><label style="display: block;font-size:18px; color:lightblue;padding-top:10px;margin-bottom:15px;" >
						<u>- modification du mot de passe d'un administrateur -</u>
						</label></div>
						
					</td>
				</tr>
					
				<tr align="center">
					<td colspan="2">

						<?php 
							
							//-------------------------------------------------------------
							// pas d'auto-modification possible !
							//-------------------------------------------------------------
							if ( $get_super_users_erreur == 0 ) {
								
								if ( $_SESSION['level'] >= 127 )	{
									
									if ( $_SESSION['target_admin_id'] == "none" ) {
										echo( '<label>' ) ;
										echo( "<font color='Salmon'>") ;
										echo( 'sélectionnez un administrateur !!!</br></br>' ) ;
										echo( "</font>") ;
										echo( '</label>' ) ;
									}
									else {
									//include("./modify_user_of_one_site_target_1.php");
									include("./modify_admin_password_target_a.php") ;
									}
									
								}
								else {
									echo( '<label>' ) ;
									echo( "<font color='Salmon'>") ;
									echo( 'administrateur de niveau insuffisant !!!' ) ;
									echo( "</font>") ;
									echo( '</label>' ) ;
								}

							}
							else {
								echo( '<label>' ) ;
								echo( "<font color='Salmon'>") ;
								echo( 'erreur (' . strval( $get_super_users_erreur ) . ') !!!' ) ;
								echo( "</font>") ;
								echo( '</label>' ) ;
							}
						
						?> 

						<font size="1" face="Arial, Helvetica, sans-serif">&nbsp;</font>
						
					</td>
				</tr>
			</table>
			
		</td>
	</tr>
</table>

</form>

<script>

function my_confirm_function() {
	
	var msg = "attention : voulez-vous vraiment modifier l'administrateur sélectionné ?";
	var txt;
	var r = confirm(msg);
	
	if ( r == true ) {
		txt = "./modify_admin_password_target_execute.php";
	} else {
		txt = "./modify_admin_password_target.php";
	}
	
	document.getElementById("form2").action = txt;

}

</script>

 </body>
</html>